%define anolis_release 2
%global srcname fs
%bcond_with check

Name:           python-%{srcname}
Version:        2.4.16
Release:	%{anolis_release}%{?dist}
Summary:        Python's Filesystem abstraction layer

License:        MIT
URL:            https://pypi.org/project/fs/
Source0:	https://github.com/PyFilesystem/pyfilesystem2/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  python3dist(appdirs)
BuildRequires:  python3dist(six)
%if %{with check}
# Required for running tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-randomly)
BuildRequires:  python3dist(parameterized)
%endif

%global _description %{expand:
Think of PyFilesystem's FS objects as the next logical step to Python's file
objects. In the same way that file objects abstract a single file, FS objects
abstract an entire filesystem.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%package -n     python3-%{srcname}-doc
Summary:        doc files for python3-%{srcname}
Requires:       python3-%{srcname} = %{EVR}

%description -n python3-%{srcname}-doc
doc files for python3-%{srcname}

%prep
%autosetup -n pyfilesystem2-%{version} -p1

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
# tests/test_ftpfs.py needs pyftpdlib (not packaged yet)
%{python3} -m pytest --ignore tests/test_ftpfs.py
%endif

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%files -n python3-%{srcname}-doc
%doc README.md examples

%changelog
* Wed Mar 13 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.4.16-2
- Rebuild with python3.11

* Fri Mar 24 2023 happy_orange <songnannan@linux.alibaba.com> - 2.4.16-1
- init package from upstream
